Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.rups.io.filters
Class PdfFilter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          com.lowagie.rups.io.filters.PdfFilter

    public class PdfFilter

extends javax.swing.filechooser.FileFilter

Filters PDF files in a JFileChooser.

Field Summary
`static PdfFilter` | `INSTANCE` A public instance of the PdfFilter.

Constructor Summary
`PdfFilter()`

Method Summary
`boolean` | `accept(java.io.File f)`
`java.lang.String` | `getDescription()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final PdfFilter INSTANCE

  A public instance of the PdfFilter.

Constructor Detail

### PdfFilter

    public PdfFilter()

Method Detail

### accept

    public boolean accept(java.io.File f)

  Specified by:
    `accept` in class `javax.swing.filechooser.FileFilter`
  Parameters:
    `f` - File
  Returns:
    boolean
  See Also:
    `FileFilter.accept(java.io.File)`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in class `javax.swing.filechooser.FileFilter`
  Returns:
    String
  See Also:
    `FileFilter.getDescription()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD